"use strict";

class BaseScene {

    load(loadingContext) {
        // Override in descendants
    }
    
    initialize() {
        // Override in descendants
    }

    update(renderContext, localTime, globalTime) {
        // Override in descendants
    }

    
    _clamp(value, min, max) {
        if (value < min) value = min;
        if (value > max) value = max;
        return value;
    }
}